package com.muyu.cloud.pay.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author：zhangchengzhi
 * @Package：com.muyu.cloud.pay.domain
 * @Project：cloud-pay
 * @name：OrderPayRefund
 * @Date：2024/7/31 9:43
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "order_pay_refund",autoResultMap = true)
public class OrderPayRefund {
    /**
     * 主键
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;
    /**
     * 客户退单号
     */
    private String cusOrderNumber;
    /**
     * 支付退单号
     */
    private String payOrderNumber;
    /**
     * 渠道商退单
     */
    private String channelOrderNumber;
    /**
     * 退款金额
     */
    private BigDecimal price;
    /**
     * 支付单号
     */
    private String payInfoNumber;
    /**
     * 到账时间
     */
    private Date toAccoutTime;

    /**
     * 退单状态
     */
    private String  status;








}
