package com.muyu.cloud.pay.domain.req;

import com.muyu.common.core.validation.custom.IsSystemYesNo;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;


/**
 * @Author：zhangchengzhi
 * @Package：com.muyu.cloud.pay.domain
 * @Project：cloud-pay
 * @name：CustomerListReq
 * @Date：2024/7/31 19:07
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@Tag(name = "客户端列表请求对象")
public class CustomerListReq {


    /**
     * 服务/客户名称
     */
@Schema(type = "String",defaultValue = "客户名称1",description = "客户名称,为微服务中文名称")
    private String  appName;

    /**
     * 服务/客户编码
     */
    @Schema(defaultValue = "customer_code",type = "String",description = "客户名称,为微服务名称")
    private String appCode;

    /**
     * 客户描述
     */
    @Schema(type = "String",defaultValue = "Y", description = "客户状态,Y是开启,N关闭")
   @IsSystemYesNo
    private String status;





}
