package com.muyu.cloud.pay.domain.resp;

import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @Author：zhangchengzhi
 * @Package：com.muyu.cloud.pay.domain.resp
 * @Project：cloud-pay
 * @name：CustomerOrderPaySimpleResp
 * @Date：2024/8/4 11:09
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Tag(name = "客户支付单",description = "客户支付单简略信息")
public class CustomerOrderPaySimpleResp {

    /**
     * 客户单号
     */
   @Schema(name = "客户单号",type = "String",defaultValue = "OIEJSO798DOE79DIL",description = "客户传入的支付单信息")
    private String  cusOrderNumber;

    /**
     * 支付金额
     */
@Schema(name = "支付金额",type = "BigDecimal",defaultValue = "36.56",description = "客户传入的支付金额")
    private BigDecimal price;


    /**
     * 渠道商类型
     */
@Schema(name = "支付渠道商",type = "String",defaultValue = "支付宝",description = "用户支付的时候选择的渠道商")
    private String channelTypeName;




















}
